Bug 794677 - [abrt] blueman-1.21-10.fc16: Functions.py:178:get_icon:AttributeError: 'NoneType' object has no attribute 'props'
[abrt] blueman-1.21-10.fc16: Functions.py:178:get_icon:AttributeError: 'NoneT...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:d154e746232a818788774ce37c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 04:55 EST by Torbjørn Lindahl
Modified: 2013-02-13 14:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:41:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Torbjørn Lindahl 2012-02-17 04:55:07 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.2.6-3.fc16.x86_64
reason:         Functions.py:178:get_icon:AttributeError: 'NoneType' object has no attribute 'props'
time:           Fri 17 Feb 2012 10:52:55 AM CET
uid:            500
username:       torbjorn

backtrace:
:Functions.py:178:get_icon:AttributeError: 'NoneType' object has no attribute 'props'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/StatusIcon.py", line 113, in on_status_icon_resized
:    self.Applet.Plugins.RunEx("on_status_icon_pixbuf_ready", callback, self.pixbuf)
:  File "/usr/bin/blueman-applet", line 278, in RunEx
:    ret = getattr(inst, function)(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/Indicator.py", line 52, in on_status_icon_pixbuf_ready
:    x = get_icon("blueman-txrx", x_size)
:  File "/usr/lib/python2.7/site-packages/blueman/Functions.py", line 178, in get_icon
:    if icon.props.height > size:
:AttributeError: 'NoneType' object has no attribute 'props'
:
:Local variables in innermost frame:
:new_w: 0
:name: 'blueman-txrx'
:ic: <gtk.IconTheme object at 0x2a10320 (GtkIconTheme at 0x26e80a0)>
:icon: None
:fallback: 'gtk-missing-image'
:new_h: 0
:size: 0

smolt_data:
:
:
:General
:=================================
:UUID: 53189feb-7d49-45df-ab99-fac7bd4826e4
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5226.49
:CPU Vendor: AuthenticAMD
:CPU Model: Dual-Core AMD Opteron(tm) Processor 2218
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 65
:Number of CPUs: 4
:CPU Speed: 2612
:System Memory: 16048
:System Swap: 1151
:Vendor: Supermicro
:System: H8DA8-2 1234567890
:Form factor: Desktop
:Kernel: 3.2.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:880:5593:5137) pci, None, PCI/PCI, MCP55 PCI bridge
:(4318:881:4318:52100) pci, snd_hda_intel, MULTIMEDIA, MCP55 High Definition Audio
:(36869:32925:5593:20864) pci, aic79xx, RAID, AIC-7902(B) U320 w/HostRAID
:(4318:886:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:873:5593:5137) pci, None, RAM, MCP55 Memory Controller
:(4318:872:5593:5137) pci, nForce2_smbus, SERIAL, MCP55 SMBus
:(4318:868:5593:5137) pci, None, PCI/ISA, MCP55 LPC Bridge
:(4147:293:0:0) pci, None, PCI/PCI, uPD720400 PCI Express - PCI/PCI-X Bridge
:(4172:32803:5593:5137) pci, firewire_ohci, FIREWIRE, TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
:(4318:914:5208:13368) pci, nvidia, VIDEO, G73 [GeForce 7600 GS]
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4354:0:0) pci, amd64_edac, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, amd64_edac, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:873:5593:5137) pci, None, RAM, MCP55 Memory Controller
:(4318:872:5593:5137) pci, nForce2_smbus, SERIAL, MCP55 SMBus
:(4318:865:5593:5137) pci, None, RAM, MCP55 LPC Bridge
:(4318:876:5593:5137) pci, ohci_hcd, USB, MCP55 USB Controller
:(4318:877:5593:5137) pci, ehci_hcd, USB, MCP55 USB Controller
:(4318:886:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(36869:32925:5593:20864) pci, aic79xx, RAID, AIC-7902(B) U320 w/HostRAID
:(4318:883:5593:5137) pci, forcedeth, BRIDGE, MCP55 Ethernet
:(4147:293:0:0) pci, None, PCI/PCI, uPD720400 PCI Express - PCI/PCI-X Bridge
:(4318:888:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:883:5593:5137) pci, forcedeth, BRIDGE, MCP55 Ethernet
:(4318:885:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:887:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:878:5593:5137) pci, pata_amd, STORAGE, MCP55 IDE
:(4318:895:5593:5137) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:5593:5137) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:5593:5137) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:887:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_ssd-root / ext4 4096 4096 768222 459114 420612 192768 160802 160802
:/dev/mapper/vg_ssd-var /var ext4 4096 4096 1026606 594568 543781 257024 244103 244103
:/dev/mapper/vg_ssd-usr /usr ext4 4096 4096 4103167 815449 611485 1032256 493188 493188
:/dev/mapper/vg_ssd-home /home ext4 4096 4096 2556037 535393 407189 642112 515240 515240
:/dev/mapper/fs WITHHELD ext3 4096 4096 51597266 30885181 28264242 26214400 26090459 26090459
:
Comment 1 Fedora End Of Life 2013-01-16 11:14:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 14:41:34 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.